BrainAPI
BrainAPI
ReferenceCore API

For the complete BrainAPI documentation index, see llms.txt. A markdown version of any docs page is available by appending .md to its URL. Docs MCP: /docs/mcp.

BrainAPI Ingest API

Submit content for asynchronous ingestion into a brain.

POST
/ingest/

Accept data for asynchronous ingestion.

Authorization

BrainPAT<token>

BrainAPI personal access token.

In: header

Header Parameters

X-Brain-ID?string

Preferred brain scope. Query/body/multipart fallbacks remain supported.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for the ingestion endpoint.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/ingest/" \  -H "Content-Type: application/json" \  -d '{    "data": {      "json_data": {}    }  }'
{  "message": "string",  "task_id": "string"}
POST
/ingest/file

Ingest a file into the processing pipeline and save to the memory.

Authorization

BrainPAT<token>

BrainAPI personal access token.

In: header

Header Parameters

X-Brain-ID?string

Preferred brain scope. Query/body/multipart fallbacks remain supported.

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/ingest/file" \  -F file="string"
{  "message": "string",  "task_id": "string"}
POST
/ingest/structured

Accept structured data for asynchronous ingestion.

Authorization

BrainPAT<token>

BrainAPI personal access token.

In: header

Header Parameters

X-Brain-ID?string

Preferred brain scope. Query/body/multipart fallbacks remain supported.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for the structured ingestion endpoint.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/ingest/structured" \  -H "Content-Type: application/json" \  -d '{    "data": [      {        "object": {          "name": "string",          "type": "string"        }      }    ]  }'
{  "message": "string",  "task_id": "string"}
Edit on GitHub

Last updated on